#
# spec file for package epiphany (Version 1.0.2)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  eel eel-devel gail gail-devel gnome-common gnome-filesystem gnome2-devel-packages gpp indent libgpp libgtkhtml libgtkhtml-devel libidl libidl-devel libxslt mozilla mozilla-devel nautilus2 nautilus2-devel scrollkeeper startup-notification startup-notification-devel
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs alsa alsa-devel atk atk-devel audiofile autoconf automake binutils bonobo-activation bonobo-activation-devel cracklib eel eel-devel esound esound-devel expat fontconfig fontconfig-devel freetype2 freetype2-devel gail gail-devel gcc gcc-c++ gconf2 gconf2-devel gdbm gettext glib2 glib2-devel gnome-common gnome-filesystem gnome-vfs2 gnome-vfs2-devel gtk2 gtk2-devel indent libart_lgpl libart_lgpl-devel libbonobo libbonobo-devel libbonoboui libbonoboui-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomeui libgnomeui-devel libgtkhtml libgtkhtml-devel libidl libidl-devel libjpeg libstdc++-devel libtool libwnck libwnck-devel libxml2 libxml2-devel libxslt linc linc-devel mozilla mozilla-devel nautilus2 nautilus2-devel openssl-devel orbit2 orbit2-devel pango pango-devel perl pkgconfig popt-devel rpm scrollkeeper startup-notification startup-notification-devel update-desktop-files

Name:         epiphany
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
%define mozilla_ver %(rpm -q --qf '%%{version}' mozilla)
License:      GPL
Group:        Productivity/Networking/Web/Browsers
Autoreqprov:  on
Version:      1.0.2
Release:      6
Summary:      GNOME Webbrowser based on the Mozilla rendering engine
Source:       epiphany-%{version}.tar.bz2
Patch:        epiphany-0.8.4.dif
URL:          http://epiphany.mozdev.org/
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Requires:     mozilla >= 1.4
Requires:     mozilla < 1.5
PreReq:       filesystem 

%description
Epiphany is a Webbrowser for the GNOME Desktop. It's principles are
simplicity and standards compliance.



Authors:
--------
    Marco Pesenti Gritti <marco@gnome.org>
    Xan Lopez <xan@masilla.org>
    David Bordoley <bordoley@msu.edu>
    Christian Persch <chpe+epiphany@stud.uni-saarland.de>

%prep
%setup -q -n epiphany-%{version}
%patch -p1

%build
libtoolize --force
automake --add-missing
autoconf
CFLAGS="$RPM_OPT_FLAGS" \
./configure \
    --prefix=%prefix \
    --libdir=%prefix/%_lib \
    --sysconfdir=%sysconfdir \
    --datadir=%prefix/share \
    --localstatedir=/var/lib \
    --enable-nautilus-viiew \
    --with-mozilla-snapshot=1.4.1
# Gtkhtml port is currently broken.
#    --enable-gtkhtml
make 

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL       
%suse_update_desktop_file %name Internet WebBrowser
%suse_update_desktop_file bme   Internet WebBrowser

%post
%run_ldconfig
echo -n " epiphany.schemas " >> var/adm/SuSEconfig/run-gconf2-schema-installation

%postun
%run_ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{prefix}/bin/*
%{prefix}/include/epiphany-1.0
%{prefix}/%_lib/bonobo/servers/*.server
%{prefix}/share/application-registry/epiphany.applications
%{prefix}/share/applications/*.desktop
%{prefix}/share/epiphany
/etc/opt/gnome/gconf/schemas/epiphany.schemas
%{prefix}/share/gnome/help/epiphany
%{prefix}/share/omf/epiphany
%{prefix}/share/pixmaps/*.png
%{prefix}/share/locale/*/LC_MESSAGES/epiphany*
%{prefix}/%_lib/pkgconfig/epiphany-1.0.pc

%changelog -n epiphany
* Thu Apr 29 2004 - hhetter@suse.de
- updated to version 1.0.2 for Mozilla 1.4.1 conformance
  (#39244, #39447)
* Tue Sep 09 2003 - hhetter@suse.de
- updated to version 1.0 (minor bugfixes and translations)
* Tue Sep 02 2003 - hhetter@suse.de
- updated to version 0.9.3 (translations only)
* Mon Aug 25 2003 - sbrabec@suse.cz
- Updated to version 0.9.2.
* Tue Aug 19 2003 - sbrabec@suse.cz
- Updated neededforbuild (rename of librsvg2, eel2).
* Tue Aug 12 2003 - adrian@suse.de
- add Categories
* Mon Aug 11 2003 - hhetter@suse.de
- updated to bugfix release 0.8.4
* Mon Aug 04 2003 - hhetter@suse.de
- updated to bugfix release 0.8.2
* Mon Jul 28 2003 - hhetter@suse.de
- initial SuSE package
